Package org.jfree.layouting.input.style.values

## Class CSSAttrFunction

- java.lang.Object
- - org.jfree.layouting.input.style.values.CSSFunctionValue
  - - org.jfree.layouting.input.style.values.CSSAttrFunction

- All Implemented Interfaces:
    `java.io.Serializable`, `CSSValue`

      public class CSSAttrFunction
      extends CSSFunctionValue

  Creation-Date: 05.12.2005, 20:41:01
  Author:
    Thomas Morgner
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CSSAttrFunction​(java.lang.String namespace, java.lang.String name)` |
    `CSSAttrFunction​(java.lang.String namespace, java.lang.String name, java.lang.String type)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getCSSText​()` |
    `java.lang.String` | `getName​()` |
    `java.lang.String` | `getNamespace​()` |
    `java.lang.String` | `getType​()` |

    - ### Methods inherited from class org.jfree.layouting.input.style.values.CSSFunctionValue

      `getFunctionName, getParameters, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CSSAttrFunction

          public CSSAttrFunction​(java.lang.String namespace,
                                 java.lang.String name,
                                 java.lang.String type)

    - #### CSSAttrFunction

          public CSSAttrFunction​(java.lang.String namespace,
                                 java.lang.String name)

  - ### Method Detail

    - #### getName

          public java.lang.String getName​()

    - #### getType

          public java.lang.String getType​()

    - #### getNamespace

          public java.lang.String getNamespace​()

    - #### getCSSText

          public java.lang.String getCSSText​()

      Specified by:
        `getCSSText` in interface `CSSValue`
      Overrides:
        `getCSSText` in class `CSSFunctionValue`